/**
 * Coin rain using Fountain
 * @moduleName CoinRain
 * @snippet CoinRain|Constructor
CoinRain({})
 */
bento.define('gui/widgets/coinrain', [
    'bento',
    'bento/utils',
    'gui/widgets/fountain',
    'onigiri/onigiri',
    'components/targetsize',
    'onigiri/sprite3d',
    'components/materialswapper'
], function (
    Bento,
    Utils,
    Fountain,
    Onigiri,
    TargetSize,
    Sprite3d,
    MaterialSwapper
) {
    'use strict';
    var CoinRain = function (settings) {
        return new Fountain(Utils.extend(settings, {
            imageName: 'gui/icons/big-coin',
            spriteSize: 24,
            onCoin: function (coin) {
                /*var mesh = Onigiri.getMesh('coin.gltf');
                var coinSprite = new Sprite3d({
                    object3D: mesh,
                });

                coin.attach(coinSprite);
                coin.attach(new TargetSize({
                    width: 24,
                    mesh: mesh
                }));
                coin.attach(new MaterialSwapper({
                    id: 'coinRain', // unique id for refcounting
                    type: 'MeshBasicMaterial',
                    deepSwap: true,
                    object3D: mesh,
                    materialSettings: {
                        map: Onigiri.getTexture('textures/coin', {
                            wrapS: THREE.RepeatWrapping,
                            wrapT: THREE.RepeatWrapping
                        })
                    }
                }));
                coin.attach(new Object({
                    name: 'behavior',
                    start: function (data) {},
                    destroy: function (data) {},
                    update: function (data) {
                        mesh.rotation.y += 0.2;
                    }
                }));*/
            }
        }));
    };
    return CoinRain;
});